## dbus 1.2.24

=== debian/changelog ===
dbus (1.2.24-4+squeeze2) stable; urgency=low

  * CVE-2012-3524: apply patches from upstream 1.6.6 to avoid arbitrary
    code execution in setuid/setgid binaries that incorrectly use libdbus
    without first sanitizing the environment variables inherited from
    their less-privileged caller (Closes: #689070).
    - As per upstream 1.6.8, do not check filesystem capabilities for now,
      only setuid/setgid, fixing regressions in certain configurations of
      gnome-keyring

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Oct 2012 08:47:10 +0100

dbus (1.2.24-4+squeeze1) stable; urgency=low

  * Update Vcs-* control fields to reflect the move to git
  * Apply patch to fix CVE-2011-2200 (fd.o #38120), which is a local DoS for
    system services (Closes: #629938)

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Jun 2011 19:45:00 +0100

dbus (1.2.24-4) unstable; urgency=high

  * debian/patches/12-CVE-2010-4352-reject-deeply-nested-variants.patch
    - Fixes CVE-2010-4352: sending messages with excessively-nested variants
      can crash the bus. The existing restriction to 64-levels of nesting
      previously only applied to the static type signature; now it also
      applies to dynamic nesting using variants.
      Patch cherry-picked from upstream Git.
  * Urgency high for the security fix.

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Dec 2010 18:46:14 +0100

dbus (1.2.24-3) unstable; urgency=medium

  * Add patch from upstream to fix segfaults when reloaded on kFreeBSD
    (Closes: #589662)
  * Work around FTBFS if dh-buildinfo is installed (Closes: #590594)

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Jul 2010 19:56:43 +0100

dbus (1.2.24-2) unstable; urgency=low

  [ Simon McVittie ]
  * Merge from experimental
    - add separate debugging symbols (dbus-1-dbg)

  [ Michael Biebl ]
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
    - Remove debian/README.source.
  * debian/control
    - Bump Standards-Version to 3.9.0.
    - Use architecture wildcard linux-any for libselinux1-dev Build-Depends.
    - Use Breaks instead of Conflicts as recommended by the new policy.
    - Remove old Conflicts which is no longer relevant.
  * debian/dbus.init
    - Simplify check in start_it_up() by using the existing status action.
    - Stop restarting dependent services. It was an ugly hack anyway and if
      people want to restart dbus, they need take care of that themselves.
      (Closes: #540693, #530395)
  * debian/dbus.postinst
    - Stop restarting dbus system bus on upgrades as it breaks too many
      applications and is not supported by upstream in a sensible way.
      Instead trigger a reboot-required message using update-notifier.
      (Closes: #530000, #573386)

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Jul 2010 14:54:54 +0200

dbus (1.2.24-1+exp1) experimental; urgency=low

   * Add separate debugging symbols (Closes: #550517)

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Jun 2010 17:19:24 +0100

dbus (1.2.24-1) unstable; urgency=low

  * New upstream release.
    - Correctly get pointer data from DBusString when creating a syslog
      message. (Closes: #574697)
  * debian/dbus-Xsession
    - Use new "has_option" function from x11-common instead of grepping the
      option file, to avoid calling an external program. (Closes: #570480)
      Thanks to Martin Pitt for the patch.
  * debian/control
    - Add Breaks: x11-common (<< 1:7.5+4) to dbus-x11 to ensure we have a
      recent enough version with "has_option" support.
  * debian/dbus.init
    - Update LSB header: Remove runlevel 1 from Default-Stop and let killprocs
      do the job for us.
  * debian/rules
    - Update DEB_DH_INSTALLINIT_ARGS accordingly.
  * debian/dbus.postinst
    - Remove old stop symlinks from runlevel 1 on upgrades.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Mar 2010 02:04:20 +0100

dbus (1.2.22-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/11_kfreebsd_kqueue_build_fix.patch
    - Removed, merged upstream.
  * debian/control
    - Drop Provides: dbus-1-utils, there is no more package depending on it.

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Mar 2010 01:06:13 +0100

dbus (1.2.20-2) unstable; urgency=low

  * debian/patches/11_kfreebsd_kqueue_build_fix.patch
    - Fix kqueue implementation on GNU/kFreeBSD. (Closes: #568338)
      Thanks to Cyril Brulebois for the patch.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Feb 2010 23:08:12 +0100

dbus (1.2.20-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Drop Build-Depends on docbook-utils, apparently no longer necessary.
    - Bump Standards-Version to 3.8.4.
  * debian/rules
    - Explicitly disable audit support so we don't accidentally pick up a
      libaudit shlib dependency.
    - Drop our workaround for the broken binutils and re-enable -pie on mips.
      (Closes: #533460)
    - Improve the way we create the symlink from /usr/lib/ → /lib by using
      readlink.
  * Remove patches:
    - debian/patches/02_dbus_monitor_no_sigint_handler.patch (fixed upstream)
    - debian/patches/20_kbsd_cmsgcred.patch (merged upstream)
    - debian/patches/30_rt-as-needed.patch (merged upstream)
  * debian/README.source
    - Add reference to the quilt patch management system documentation.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Feb 2010 22:49:42 +0100

dbus (1.2.16-2) unstable; urgency=low

  * Rebuild against debhelper (>= 7.2.23) that fixes a regression in
    dh_install which did not correctly strip debian/tmp. (Closes: #537125)
  * debian/patches/20_kbsd_cmsgcred.patch
    - Fix incorrect usage of cmsgcred on kFreeBSD. Thanks to Aurelien Jarno
      for the patch.
  * debian/patches/30_rt-as-needed.patch
    - Fix spurious build failures on alpha and ia64 when using -Wl,--as-needed
      by changing the link order of libdbus-convenience.la and -lrt.


