## dbus 1.4.0

=== debian/changelog ===
dbus (1.4.0-0ubuntu1.3) maverick-security; urgency=low

  * SECURITY UPDATE: denial of service via messages with non-native byte order
    - debian/patches/99-CVE-2011-2200.patch: update dbus-marshal-header.c
      to verify header->data byte order and header->byte_order match in
      _dbus_header_byteswap()
    - CVE-2011-2200

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 22 Jul 2011 09:01:52 -0500

dbus (1.4.0-0ubuntu1.2) maverick-proposed; urgency=low

  * Prevent dbus.postinst from failing in chroots (LP: #552404).

 -- Alkis Georgopoulos <alkisg@gmail.com>  Mon, 14 Feb 2011 11:49:57 +0200

dbus (1.4.0-0ubuntu1.1) maverick-security; urgency=low

  * SECURITY UPDATE: fix DoS with too deeply nested messages
    - debian/patches/99-CVE-2010-4352.patch: Limit nesting to 64 for dynamic
      message variants.
    - CVE-2010-4352
    - LP: #688992

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 04 Jan 2011 14:10:39 -0600

dbus (1.4.0-0ubuntu1) maverick; urgency=low

  * New upstream release
   - Fixes https://bugs.freedesktop.org/show_bug.cgi?id=17754 Race condition in protected_change_timeout
   - Requested by various upstream KDE developers http://lists.kde.org/?t=128514970000004&r=1&w=2

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 27 Sep 2010 13:06:32 +0100

dbus (1.2.24-3ubuntu1) maverick; urgency=low

  * Resync on Debian
  * Remaining Ubuntu Changes:
    - Install into / rather than /usr.
    - debian/control: Depend on ConsoleKit for "at_console" policy stanza.
    - debian/dbus.postinst: Do not restart dbus on upgrades, since it breaks
      too many applications. Instead, trigger a "reboot required" notification.
    - debian/dbus.postinst: Create /var/run/dbus in postinst to handle system
      being rebooted before package is configured.  LP: #275229.
    - Add debian/dbus.upstart and bump debhelper b-dep to ensure that it is
      properly installed.
    - 20_system_conf_limit.patch: Increase max_match_rules_per_connection for
      the system bus to 5000 (LP #454093)
    - 81-session.conf-timeout.patch: Raise the service startup timeout from 25
      to 60 seconds. It may be too short on the live CD with slow machines.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 09 Aug 2010 16:09:57 +0200
