=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: dbus
 Section: devel
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
            Michael Biebl <biebl@debian.org>,
            Loic Minier <lool@dooz.org>,
            Simon McVittie <smcv@debian.org>
 Build-Depends: cdbs (>= 0.4.43),
-               debhelper (>= 7),
+               debhelper (>= 7.3.15ubuntu2),
                autotools-dev,
                libexpat-dev,
                doxygen,
@@ -17,8 +18,8 @@
                libx11-dev,
                libselinux1-dev [linux-any]
 Standards-Version: 3.9.0
-Vcs-Git: git://anonscm.debian.org/pkg-utopia/dbus.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/dbus.git
+Vcs-Svn: svn://svn.debian.org/pkg-utopia/packages/unstable/dbus/
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/dbus/
 Homepage: http://dbus.freedesktop.org/
 
 Package: dbus
@@ -26,7 +27,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          adduser,
-         lsb-base (>= 3.2-14)
+         lsb-base (>= 3.2-14),
+	 upstart (>= 0.6.3-6)
+Recommends: consolekit (>= 0.2.3-3ubuntu2)
 Breaks: dbus-1-utils (<< 1.0.2-5)
 Replaces: dbus-1-utils (<< 1.0.2-5)
 Suggests: dbus-x11
