## dbus 1.4.6

=== debian/changelog ===
dbus (1.4.6-1ubuntu6) natty; urgency=low

  * debian/rules: fix up the sed of the .pc file, we need the path to be
    relative to the multiarch dir.  Thanks to Lionel Le Folgoc for pointing
    this out.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 20 Mar 2011 22:07:49 +0000

dbus (1.4.6-1ubuntu5) natty; urgency=low

  * FFe LP: #733501
  * Build for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 19 Mar 2011 23:15:23 -0700

dbus (1.4.6-1ubuntu4) natty; urgency=low

  * debian/rules: update dh_installinit to use the old '|| :' behavior instead
    of the default behavior (exiting with error) by specifying
    '--error-handler=:' to dh_installinit (LP: #728434)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 08 Mar 2011 15:41:27 -0600

dbus (1.4.6-1ubuntu3) natty; urgency=low

  * debian/dbus.postinst: Prevent dbus.postinst from failing in chroots
    (LP: #552404).

 -- Alkis Georgopoulos <alkisg@gmail.com>  Mon, 14 Feb 2011 11:21:53 +0200

dbus (1.4.6-1ubuntu2) natty; urgency=low

  * debian/rules: Reinstate Cflags seddery for the .pc file, which got lost in
    merging the cdbs->dh conversion.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Feb 2011 18:45:10 +0100

dbus (1.4.6-1ubuntu1) natty; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Install into / rather than /usr.
    - debian/dbus.postinst: Use upstart call instead of invoking the init.d
      script for checking if we are already running. 
    - Add debian/dbus.upstart.
    - 0001-activation-allow-for-more-variation-than-just-system.patch,
      0002-bus-change-systemd-activation-to-activation-systemd.patch,
      0003-upstart-add-upstart-as-a-possible-activation-type.patch,
      0004-upstart-add-UpstartJob-to-service-desktop-files.patch,
      0005-activation-implement-upstart-activation.patch: Patches from Scott
      James Remnant to implement Upstart service activation. Not upstream.
    - 20_system_conf_limit.patch: Increase max_match_rules_per_connection for
      the system bus to 5000 (LP #454093)
    - 81-session.conf-timeout.patch: Raise the service startup timeout from 25
      to 60 seconds. It may be too short on the live CD with slow machines.
  * debian/rules: Fix creation of /usr/lib/libdbus-1.so symlink.
  * debian/libdbus-1-dev.install: Put back .pc.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Feb 2011 16:41:36 +0100

dbus (1.4.6-1) unstable; urgency=low

  * Switch from cdbs to dh.
  * Bump debhelper compatibility level to 8.
  * Remove doxygen call from debian/rules and cleaning up doc/api manually.
    The upstream build system takes care of that already.

  [ Simon McVittie ]
  * New upstream version
    - remove 00_dbus-quiesce-startup-errors.patch, no longer needed
  * Ignore changes to generated Doxygen HTML instead of deleting it in clean,
    for easier use of git-buildpackage
  * Unapply patches after building from git

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Feb 2011 20:12:59 +0000

dbus (1.4.1-2) unstable; urgency=low

  [ Simon McVittie ]
  * Move to git; add debian/gbp.conf for git-buildpackage
  * Replace 00_dbus-quiesce-startup-errors.patch with the version that was
    merged upstream

  [ Michael Biebl ]
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2011 01:52:08 +0100

dbus (1.4.1-1) experimental; urgency=low

  * New upstream release.
  * Remove pre-lenny upgrade code.
    - Drop old Breaks/Replaces from debian/control.
    - Drop debian/dbus.preinst and clean up debian/dbus.postinst.

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Dec 2010 02:18:37 +0100

dbus (1.4.0-2) experimental; urgency=low

  * Install systemd unit files.

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Nov 2010 22:02:11 +0100

dbus (1.4.0-1) experimental; urgency=low

  * New upstream release.
    - Feature negotiation in the bus daemon.
    - File descriptor passing on Unix socket transports.
    - Various portability fixes, in particular to Windows platforms.
    - Support forking bus services, for compatibility.
    - New standardized PropertiesChanged signal in the properties interface.
    - Use of GCC atomic intrinsics for better processor support.
    - Ability for dbus-send to send to any bus (--address).
    - systemd hookup.
    - Fixes reentrancy issue with multi-threaded apps, which affects
      especially Qt and KDE apps. (Closes: #584522)
  * debian/control
    - Bump Standards-Version to 3.9.1. No further changes.
  * debian/rules
    - Disable installation of systemd unit files.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Sep 2010 20:43:05 +0200

dbus (1.3.2~git20100715.821f99c-1) experimental; urgency=low

  * New upstream Git snapshot (up to 821f99c).
  * Refresh patches to apply cleanly.
  * debian/libdbus-1-3.symbols
    - Update for API additions (Unix FD passing).
  * debian/rules
    - Bump shlibs to 1.3.1.

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Jul 2010 13:41:43 +0200
