=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
            Michael Biebl <biebl@debian.org>,
            Loic Minier <lool@dooz.org>,
            Simon McVittie <smcv@debian.org>
-Build-Depends: cdbs (>= 0.4.43),
-               debhelper (>= 7.3.15ubuntu2),
+Build-Depends: debhelper (>= 8.1.2ubuntu2),
                autotools-dev,
                libexpat-dev,
                doxygen,
@@ -17,9 +16,9 @@
                xsltproc,
                libx11-dev,
                libselinux1-dev [linux-any]
-Standards-Version: 3.9.0
-Vcs-Svn: svn://svn.debian.org/pkg-utopia/packages/unstable/dbus/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/dbus/
+Standards-Version: 3.9.1
+Vcs-Git: git://git.debian.org/pkg-utopia/dbus.git
+Vcs-Browser: http://git.debian.org/?p=pkg-utopia/dbus.git
 Homepage: http://dbus.freedesktop.org/
 
 Package: dbus
@@ -28,11 +27,9 @@
          ${misc:Depends},
          adduser,
          lsb-base (>= 3.2-14),
-	 upstart (>= 0.6.3-6)
-Recommends: consolekit (>= 0.2.3-3ubuntu2)
-Breaks: dbus-1-utils (<< 1.0.2-5)
-Replaces: dbus-1-utils (<< 1.0.2-5)
+         upstart (>= 0.6.3-6)
 Suggests: dbus-x11
+Multi-Arch: foreign
 Description: simple interprocess messaging system
  D-Bus is a message bus, used for sending messages between applications.
  Conceptually, it fits somewhere in between raw sockets and CORBA in
@@ -57,9 +54,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          dbus
-Breaks: dbus (<< 1.1.2),
-        x11-common (<< 1:7.5+4)
-Replaces: dbus (<< 1.1.2)
+Breaks: x11-common (<< 1:7.5+4)
+Multi-Arch: foreign
 Description: simple interprocess messaging system (X11 deps)
  D-Bus is a message bus, used for sending messages between applications.
  Conceptually, it fits somewhere in between raw sockets and CORBA in
@@ -75,6 +71,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: dbus
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Section: libs
 Description: simple interprocess messaging system
  D-Bus is a message bus, used for sending messages between applications.
